// blobs

_global.flevel = 5000;
_global.blevel = 1000;

_global.xmax = 500;
_global.ymax = 400;

_global.hmax = 150; 
_global.wmax = 150;
_global.hmin = 50;
_global.wmin = 50;

_global.initbrgb = 0xEEEEEE;
_global.initfrgb = 0xCCCCFF;
_global.to_brgb = 0;
_global.to_frgb = 0;
_global.newfcolor = false;

var blobnum = 20;
var to_x = new Array();
var to_y = new Array();
var to_h = new Array();
var to_w = new Array();

// init blobs

for (var i=1; i<=blobnum; i++) {
	attachMovie("circle","fblob_"+i,flevel+i);
	attachMovie("circle","bblob_"+i,blevel+i);
}

// size, color, position

for (var i=1; i<=blobnum; i++) {
	var fblob = eval("fblob_"+i);
	var bblob = eval("bblob_"+i);

	var myh = int(Math.random()*(hmax-hmin))+(hmin);
	var myw = int(Math.random()*(wmax-wmin))+(wmin);
	to_h[i] = int(Math.random()*(hmax-hmin))+(hmin);
	to_w[i] = int(Math.random()*(wmax-wmin))+(wmin);
	
	fblob._height = myh;
	fblob._width = myw;
	bblob._height = myh * 1.1;
	bblob._width = myw *1.1;
	
	var fcolor = new Color(fblob);
	var bcolor = new Color(bblob);
	fcolor.setRGB(initfrgb);
	bcolor.setRGB(initbrgb);
	_global.to_frgb = int(Math.random()*0xFFFFFF);
	_global.to_brgb = int(Math.random()*0xFFFFFF);
	
	var myx = int(Math.random()*(xmax-myw))+int(myw/2);
	var myy = int(Math.random()*(ymax-myh)) +int(myh/2);
	to_x[i] = int(Math.random()*(xmax-myw))+int(myw/2);
	to_y[i] = int(Math.random()*(ymax-myh)) +int(myh/2);
	
	fblob._x = myx;
	fblob._y = myy;
	bblob._x = myx;
	bblob._y = myy;
}

// move and warp

_root.onEnterFrame = function () {
	
	var fctmp = new Color(fblob_1);
	var fhex = fctmp.getRGB();

	// R
	
	if ((fhex & 0xFF0000) < (to_frgb & 0xFF0000)) {
		fhex = fhex + 0x10000;
	} else if ((fhex & 0xFF0000) > (to_frgb & 0xFF0000)) {
		fhex = fhex - 0x10000;
	}

	// G
	
	if ((fhex & 0xFF00) < (to_frgb & 0xFF00)) {
		fhex = fhex + 0x100;
	} else if ((fhex & 0xFF00) > (to_frgb & 0xFF00)) {
		fhex = fhex - 0x100;
	}
	
	// B
	
	if ((fhex & 0xFF) < (to_frgb & 0xFF)) {
		fhex = fhex + 1;
	}
	else if ((fhex & 0xFF) > (to_frgb & 0xFF)) {
		fhex = fhex -1;
	}

	if (fhex == to_frgb)  {
		_global.newfcolor = true;
	}

	for (var i=1; i<=blobnum; i++) {
		var fblob = eval("fblob_"+i);
		var bblob = eval("bblob_"+i);
	
		// adjust size
		
		var myh = fblob._height;
		var myw = fblob._width;
		
		if (myh < to_h[i]) {
			myh = myh + 1;
		} else if (myh > to_h[i]) {
			myh = myh - 1;
		} else {
			to_h[i] = int(Math.random()*(hmax-hmin))+(hmin);
		}
		
		if (myw < to_w[i]) {
			myw = myw + 1;
		} else if (myw > to_w[i]) {
			myw = myw - 1;
		} else {
			to_w[i] = int(Math.random()*(wmax-wmin))+(wmin);
		}
		
		fblob._height = myh;
		fblob._width = myw;
		bblob._height = myh * 1.1;
		bblob._width = myw *1.1;

		// adjust position
		
		var myx = fblob._x;
		var myy = fblob._y;
		
		if (myx < to_x[i]) {
			myx = myx + 1;
		} else if (myx > to_x[i]) {
			myx = myx - 1;
		} else {
			to_x[i] = int(Math.random()*(xmax-myw))+int(myw/2);
		}
		
		if (myy < to_y[i]) {
			myy = myy + 1;
		} else if (myy > to_y[i]) {
			myy = myy - 1;
		} else {
			to_y[i] = int(Math.random()*(ymax-myh)) +int(myh/2);
		}
		
		fblob._x = myx;
		fblob._y = myy;
		bblob._x = myx;
		bblob._y = myy;
		
		// set color
		
		var fcolor = new Color(fblob);
		fcolor.setRGB(fhex);
		
	}
	
	if (newfcolor) {
		_global.to_frgb = int(Math.random()*0xFFFFFF);
		_global.newfcolor = false;
	}
}
